com.avaya.deskphoneservices

## Class BaseActiveParticipantListener

- java.lang.Object
- - com.avaya.deskphoneservices.BaseActiveParticipantListener

- All Implemented Interfaces:
    com.avaya.clientservices.call.conference.ActiveParticipantListener, com.avaya.clientservices.call.conference.ParticipantListener

      public abstract class BaseActiveParticipantListener
      extends java.lang.Object
      implements com.avaya.clientservices.call.conference.ActiveParticipantListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseActiveParticipantListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onParticipantApplicantSharingStatusChanged(com.avaya.clientservices.call.conference.Participant participant)` Called to report that a participant's application sharing status has changed.
    `void` | `onParticipantAudioStatusChanged(com.avaya.clientservices.call.conference.Participant participant, com.avaya.clientservices.call.conference.ParticipantMediaStatus audioStatus)` Called to report that a participant's audio has been changed.
    `void` | `onParticipantCameraRemoteControlSupportChanged(com.avaya.clientservices.call.conference.Participant participant)` Called to report that a participant's camera remote control support changed.
    `void` | `onParticipantConnectionStatusChanged(com.avaya.clientservices.call.conference.Participant participant, com.avaya.clientservices.call.conference.ParticipantConnectionStatus connectionStatus)` Called to report that a participant's conference connection status has changed.
    `void` | `onParticipantHandLowered(com.avaya.clientservices.call.conference.Participant participant)` Called to report that a participant's hand is lowered, either by the participant, or by a moderator who acknowledged the participant raising hand.
    `void` | `onParticipantHandRaised(com.avaya.clientservices.call.conference.Participant participant)` Called to report that a participant has raised hand.
    `void` | `onParticipantMatchedContactsChanged(com.avaya.clientservices.call.conference.Participant participant)` Called to report that the participant's matched contacts were updated.
    `void` | `onParticipantSetAsLecturer(com.avaya.clientservices.call.conference.Participant participant)` Called to report that the participant is now a lecturer.
    `void` | `onParticipantSetAsModerator(com.avaya.clientservices.call.conference.Participant participant)` Called to report that the participant is now a moderator.
    `void` | `onParticipantSetAsPresenter(com.avaya.clientservices.call.conference.Participant participant)` Called to report that the participant is now a presenter.
    `void` | `onParticipantUnsetAsLecturer(com.avaya.clientservices.call.conference.Participant participant)` Called to report that the participant is no longer a lecturer.
    `void` | `onParticipantUnsetAsModerator(com.avaya.clientservices.call.conference.Participant participant)` Called to report that the participant is no longer a moderator.
    `void` | `onParticipantUnsetAsPresenter(com.avaya.clientservices.call.conference.Participant participant)` Called to report that the participant is no longer a presenter.
    `void` | `onParticipantVideoStatusChanged(com.avaya.clientservices.call.conference.Participant participant, com.avaya.clientservices.call.conference.ParticipantMediaStatus videoStatus)` Called to report that a participant's video has been changed.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseActiveParticipantListener

          public BaseActiveParticipantListener()

  - ### Method Detail

    - #### onParticipantConnectionStatusChanged

          public void onParticipantConnectionStatusChanged(com.avaya.clientservices.call.conference.Participant participant,
                                                           com.avaya.clientservices.call.conference.ParticipantConnectionStatus connectionStatus)

      Description copied from interface: `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Called to report that a participant's conference connection status has changed. This happens when, for example, the participant who is in the middle of joining the call (either dialing in, or dialed out towards by the conference system) has joined the call.
      Specified by:
        `onParticipantConnectionStatusChanged` in interface `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Parameters:
        `participant` - `Participant` whose connection status has changed.
        `connectionStatus` - New `ParticipantConnectionStatus` of the participant.

    - #### onParticipantApplicantSharingStatusChanged

          public void onParticipantApplicantSharingStatusChanged(com.avaya.clientservices.call.conference.Participant participant)

      Description copied from interface: `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Called to report that a participant's application sharing status has changed.
      Specified by:
        `onParticipantApplicantSharingStatusChanged` in interface `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Parameters:
        `participant` - `Participant` whose application sharing status has changed.

    - #### onParticipantSetAsModerator

          public void onParticipantSetAsModerator(com.avaya.clientservices.call.conference.Participant participant)

      Description copied from interface: `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Called to report that the participant is now a moderator.
      Specified by:
        `onParticipantSetAsModerator` in interface `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Parameters:
        `participant` - `Participant` who has been assigned to be a moderator.

    - #### onParticipantUnsetAsModerator

          public void onParticipantUnsetAsModerator(com.avaya.clientservices.call.conference.Participant participant)

      Description copied from interface: `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Called to report that the participant is no longer a moderator.
      Specified by:
        `onParticipantUnsetAsModerator` in interface `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Parameters:
        `participant` - `Participant` who is no longer a moderator.

    - #### onParticipantSetAsLecturer

          public void onParticipantSetAsLecturer(com.avaya.clientservices.call.conference.Participant participant)

      Description copied from interface: `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Called to report that the participant is now a lecturer.
      Specified by:
        `onParticipantSetAsLecturer` in interface `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Parameters:
        `participant` - `Participant` who has been assigned to be a lecturer.

    - #### onParticipantUnsetAsLecturer

          public void onParticipantUnsetAsLecturer(com.avaya.clientservices.call.conference.Participant participant)

      Description copied from interface: `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Called to report that the participant is no longer a lecturer.
      Specified by:
        `onParticipantUnsetAsLecturer` in interface `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Parameters:
        `participant` - `Participant` who is no longer a lecturer.

    - #### onParticipantSetAsPresenter

          public void onParticipantSetAsPresenter(com.avaya.clientservices.call.conference.Participant participant)

      Description copied from interface: `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Called to report that the participant is now a presenter.
      Specified by:
        `onParticipantSetAsPresenter` in interface `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Parameters:
        `participant` - `Participant` who has been assigned to be a presenter.

    - #### onParticipantUnsetAsPresenter

          public void onParticipantUnsetAsPresenter(com.avaya.clientservices.call.conference.Participant participant)

      Description copied from interface: `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Called to report that the participant is no longer a presenter.
      Specified by:
        `onParticipantUnsetAsPresenter` in interface `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Parameters:
        `participant` - `Participant` who is no longer a presenter.

    - #### onParticipantHandRaised

          public void onParticipantHandRaised(com.avaya.clientservices.call.conference.Participant participant)

      Description copied from interface: `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Called to report that a participant has raised hand. A moderator can lower participant's hand, and unmute the participant to speak.
      Specified by:
        `onParticipantHandRaised` in interface `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Parameters:
        `participant` - `Participant` who has raised hand during the conference call.

    - #### onParticipantHandLowered

          public void onParticipantHandLowered(com.avaya.clientservices.call.conference.Participant participant)

      Description copied from interface: `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Called to report that a participant's hand is lowered, either by the participant, or by a moderator who acknowledged the participant raising hand.
      Specified by:
        `onParticipantHandLowered` in interface `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Parameters:
        `participant` - `Participant` whose hand is lowered.

    - #### onParticipantAudioStatusChanged

          public void onParticipantAudioStatusChanged(com.avaya.clientservices.call.conference.Participant participant,
                                                      com.avaya.clientservices.call.conference.ParticipantMediaStatus audioStatus)

      Description copied from interface: `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Called to report that a participant's audio has been changed.
      Specified by:
        `onParticipantAudioStatusChanged` in interface `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Parameters:
        `participant` - `Participant` whose audio status has changed.
        `audioStatus` - New audio `ParticipantMediaStatus` status.

    - #### onParticipantVideoStatusChanged

          public void onParticipantVideoStatusChanged(com.avaya.clientservices.call.conference.Participant participant,
                                                      com.avaya.clientservices.call.conference.ParticipantMediaStatus videoStatus)

      Description copied from interface: `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Called to report that a participant's video has been changed.
      Specified by:
        `onParticipantVideoStatusChanged` in interface `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Parameters:
        `participant` - `Participant` whose video status has changed.
        `videoStatus` - New video `ParticipantMediaStatus` status.

    - #### onParticipantMatchedContactsChanged

          public void onParticipantMatchedContactsChanged(com.avaya.clientservices.call.conference.Participant participant)

      Description copied from interface: `com.avaya.clientservices.call.conference.ParticipantListener`
      Called to report that the participant's matched contacts were updated.
      Specified by:
        `onParticipantMatchedContactsChanged` in interface `com.avaya.clientservices.call.conference.ParticipantListener`
      Parameters:
        `participant` - Participant whose matched contacts were updated.

    - #### onParticipantCameraRemoteControlSupportChanged

          public void onParticipantCameraRemoteControlSupportChanged(com.avaya.clientservices.call.conference.Participant participant)

      Description copied from interface: `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Called to report that a participant's camera remote control support changed.
      Specified by:
        `onParticipantCameraRemoteControlSupportChanged` in interface `com.avaya.clientservices.call.conference.ActiveParticipantListener`
      Parameters:
        `participant` - Participant whose camera remote control support changed.